## ide-back-forward-item ide-back-forward-item |

## Functions

IdeBackForwardItem * | ide_back_forward_item_new ()
IdeUri * | ide_back_forward_item_get_uri ()
gboolean | ide_back_forward_item_chain ()

## Properties

IdeUri * | uri | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_BACK_FORWARD_ITEM
| IdeBackForwardItem

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeBackForwardItem

## Description

## Functions

### ide_back_forward_item_new ()

    IdeBackForwardItem *
    ide_back_forward_item_new (IdeContext *context,
                               IdeUri *uri);

### ide_back_forward_item_get_uri ()

    IdeUri *
    ide_back_forward_item_get_uri (IdeBackForwardItem *self);

### ide_back_forward_item_chain ()

    gboolean
    ide_back_forward_item_chain (IdeBackForwardItem *self,
                                 IdeBackForwardItem *other);

## Types and Values

### IDE_TYPE_BACK_FORWARD_ITEM

    #define IDE_TYPE_BACK_FORWARD_ITEM (ide_back_forward_item_get_type())

### IdeBackForwardItem

    typedef struct _IdeBackForwardItem IdeBackForwardItem;

## Property Details

### The `“uri”` property

      “uri”                      IdeUri *

The “uri” property contains the location for the back/forward item.

This might be a uri to a file, including a line number.

IdeWorkbenchAddin can hook how these are loaded, by implementing the IdeWorkbenchAddin::`can_open()` vfunc and associated functions.

Flags: Read / Write / Construct Only